dslreports logo
site
 
    All Forums Hot Topics Gallery
spc

spacer




how-to block ads


Search Topic:
uniqs
582
share rss forum feed

batsona
Maryland

join:2004-04-17
Ellicott City, MD
Reviews:
·Verizon FiOS
·Vonage

Is this compile problem a path issue??

All -- I'm trying to compile MRTG on 64-bit CentOS 5.9. The configure script shows the following errors. Below, you can see what packages I have installed & my path. I'm logged in as root when attempting the compile. Is this simply a path problem? I'm good at Linux, but the only apps I'm called upon to support at work are all installed via RPM, or via an install script -- I never hand-compile anything. All the packages below that I show installed, are the only prerequsites listed for MRTG...

configure:2187: checking for gcc
configure:2217: result: no
configure:2280: checking for cc
configure:2327: result: no
configure:2383: checking for cl.exe
configure:2413: result: no
configure:2437: error: in `/usr/local/src/mrtg2.17.4':
configure:2439: error: no acceptable C compiler found in $PATH
See `config.log' for more details

root@CentOS-5:/ [root@CentOS-5 /]# rpm -qa | grep perl

perl-Compress-Zlib-1.42-1.fc6
perl-URI-1.35-3
perl-libwww-perl-5.805-1.1.1
perl-HTML-Parser-3.55-1.fc6
perl-HTML-Tagset-3.10-2.1.1
perl-5.8.8-41.el5
perl-String-CRC32-1.4-2.fc6

root@CentOS-5:/ [root@CentOS-5 /]# rpm -qa | grep gd
gdm-2.16.0-59.el5.centos.1
gdbm-1.8.0-28.el5
gd-2.0.33-9.4.el5_4.2

root@CentOS-5:/ [root@CentOS-5 /]# rpm -qa | grep libpng
libpng-1.2.10-17.el5_8

root@CentOS-5:/ [root@CentOS-5 /]# rpm -qa | grep zlib
zlib-1.2.3-7.el5

root@CentOS-5:/ [root@CentOS-5 /]# rpm -qa | grep gcc
libgcc-4.1.2-54.el5

root@CentOS-5:/ [root@CentOS-5 /]# rpm -qa | grep cc
pam_ccreds-3-5
psacct-6.3.2-44.el5

root@CentOS-5:/ [root@CentOS-5 /]# rpm -qa | grep gnu
gnupg-1.4.5-18.el5_10
gnutls-1.4.1-10.el5_9.2

root@CentOS-5:/ [root@CentOS-5 /]# echo $PATH
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin


Brano
I hate Vogons
Premium,MVM
join:2002-06-25
Burlington, ON
kudos:10

1 edit

You don't have gcc installed (and most likely the whole build environment).


batsona
Maryland

join:2004-04-17
Ellicott City, MD

"libgcc-4.1.2-54.el5" is not what's required? What do I need? "yum install XXXXXXXXX" What is X?



graysonf
Premium,MVM
join:1999-07-16
Fort Lauderdale, FL
kudos:2

"libgcc-4.1.2-54.el5" is not the gcc compiler. And you need more than just gcc, you need the entire build environment.

Is there some reason you cannot install an mrtg RPM?

»ftp://rpmfind.net/linux/dag/redhat/el5···6_64.rpm


batsona
Maryland

join:2004-04-17
Ellicott City, MD

Excellent -- I'll give this a try. Last time I did this years ago, there were no pre-compiled RPMs for MRTG...



graysonf
Premium,MVM
join:1999-07-16
Fort Lauderdale, FL
kudos:2

Here's the latest:

»ftp://rpmfind.net/linux/dag/redhat/el5···6_64.rpm


batsona
Maryland

join:2004-04-17
Ellicott City, MD
Reviews:
·Verizon FiOS
·Vonage

I fairly readily figured out the different locations for the log files & config file, and already have it up and running. --brought over files & config files from a failed server & it picked up where the old application left off. Plus - I got Apache pointed into that directory, so my files are available via web browser. Everything working.



graysonf
Premium,MVM
join:1999-07-16
Fort Lauderdale, FL
kudos:2

Excellent!

Do you also want to keep track of bandwidth consumption? If so have a look at IOG. »www.dynw.com/iog/